INCLUDES = $(all_includes)
METASOURCES = AUTO
kde_module_LTLIBRARIES = kcm_kshowmailconfigaccounts.la \
	kcm_kshowmailconfigactions.la kcm_kshowmailconfigdisplay.la kcm_kshowmailconfigfilter.la \
	kcm_kshowmailconfiggeneral.la kcm_kshowmailconfiglog.la kcm_kshowmailconfigspamcheck.la
kcm_kshowmailconfigactions_la_LDFLAGS = -avoid-version -module $(all_libraries) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
noinst_HEADERS = accountsetupdialog.h accountsetupitem.h configaccounts.h \
	configactions.h configdisplay.h configfilter.h configgeneral.h configlog.h \
	configspamcheck.h encryption.h filtercriteriawidget.h filtersetupdialog.h \
	filtersetupitem.h tdewalletaccess.h mailboxwizard.h mailboxwizardlistitem.h \
	senderlistdialog.h
kcm_kshowmailconfigactions_la_SOURCES = configactions.cpp
kde_services_DATA = kshowmailconfigaccounts.desktop \
	kshowmailconfigactions.desktop kshowmailconfigdisplay.desktop kshowmailconfigfilter.desktop \
	kshowmailconfiggeneral.desktop kshowmailconfiglog.desktop kshowmailconfigspamcheck.desktop
kcm_kshowmailconfiggeneral_la_LDFLAGS = -avoid-version -module\
	$(all_libraries) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI)
kcm_kshowmailconfiggeneral_la_SOURCES = configgeneral.cpp
kcm_kshowmailconfigdisplay_la_LDFLAGS = -avoid-version -module\
	$(all_libraries) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI)
kcm_kshowmailconfigdisplay_la_SOURCES = configdisplay.cpp
kcm_kshowmailconfigaccounts_la_LDFLAGS = -avoid-version -module\
	$(all_libraries) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO) -ltdewalletclient
kcm_kshowmailconfigaccounts_la_SOURCES = configaccounts.cpp \
			accountsetupitem.cpp accountsetupdialog.cpp encryption.cpp tdewalletaccess.cpp
kcm_kshowmailconfigfilter_la_LDFLAGS = -avoid-version -module\
	$(all_libraries) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
kcm_kshowmailconfigfilter_la_SOURCES = configfilter.cpp senderlistdialog.cpp \
				filtersetupitem.cpp filtersetupdialog.cpp filtercriteriawidget.cpp mailboxwizard.cpp \
	mailboxwizardlistitem.cpp
kcm_kshowmailconfiglog_la_LDFLAGS = $(all_libraries) -avoid-version -module $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI)
kcm_kshowmailconfiglog_la_SOURCES = configlog.cpp
kcm_kshowmailconfigspamcheck_la_LDFLAGS = $(all_libraries) -avoid-version \
	-module $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
kcm_kshowmailconfigspamcheck_la_SOURCES = configspamcheck.cpp mailboxwizard.cpp \
	mailboxwizardlistitem.cpp
